﻿using System;
using System.Net;
using System.Net.Sockets;

namespace PortScannerUdp
{
    class PortScanner
    {
        public string Host { get; }
        public int MaxPort { get; }

        public PortScanner(string host, int maxPort = 65536)
        {
            Host = host;
            MaxPort = maxPort;
        }

        public void Scan()
        {
            for (int port = 0; port < MaxPort; port++)
            {
                try
                {
                    IPAddress ipAddress = IPAddress.Parse(Host);
                    IPEndPoint ipEndPoint = new IPEndPoint(ipAddress, port);
                    UdpClient client = new UdpClient(ipEndPoint);
                    client.Close();
                }
                catch (SocketException)
                {
                    Console.WriteLine("UDP server on port " + port);
                }
            }
        }
    }
}
